ghc-7.0.4: The GHC API

SetLevels

# Documentation

setLevels :: FloatOutSwitches -> [CoreBind] -> UniqSupply -> [LevelledBind]Source

data Level Source

Constructors

Level Int Int |

Instances

Eq Level |
Outputable Level |

tOP_LEVEL :: Level Source

type LevelledBind = TaggedBind Level Source

type LevelledExpr = TaggedExpr Level Source

incMinorLvl :: Level -> Level Source

ltMajLvl :: Level -> Level -> Bool Source

ltLvl :: Level -> Level -> Bool Source

isTopLvl :: Level -> Bool Source